Bug 111518 - gaim 0.74-5 has a memory leaking.
gaim 0.74-5 has a memory leaking.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gaim (Show other bugs)
1
All Linux
medium Severity high
: ---
: ---
Assigned To: Christopher Blizzard
:
Depends On: 111933
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-04 15:11 EST by Alejandro Gonzalez Hernandez - Imoq
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-20 14:40:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alejandro Gonzalez Hernandez - Imoq 2003-12-04 15:11:38 EST
Description of problem:

After some hours of running gaim 0.74-5 (from the "test" updates) my
system starts to lose free memory (both RAM and swap) until the kernel
decides to start killing processes.

If I close gaim, then I regain most of my (lost) memory.

Version-Release number of selected component (if applicable):

gaim-0.74-5

How reproducible:

Always (everyday since I installed it).

Steps to Reproduce:
1. Install gaim-0.74-5 from fedora test packages.
2. Run gaim (I have currently 3 ICQ accounts, 4 MSN Messenger
accounts, 3 Jabber accounts and 3 Yahoo Messenger accounts).
3. Wait some hours, and watch your precious memory start to decrease.
  
Actual results:

System runs off memory!

Expected results:

gaim shouldn't eat the memory of the system.

Additional info:

This didn't happen with previous versions of gaim, neither from Fedora
Core or from freshrpms.

Here is a little log of the "free" output when gaim is running:

Mem:   255556k av,  248080k used,    7476k free,       0k shrd,   
3032k buff
       135364k active,              82732k inactive
Swap:  783768k av,  781976k used,    1792k free                  
36156k cached

(minutes later)
Mem:   255556k av,  248360k used,    7196k free,       0k shrd,   
3488k buff
       157660k active,              60684k inactive
Swap:  783768k av,  782828k used,     940k free                  
37860k cached


(but if I close gaim)

Mem:   255556k av,  147656k used,  107900k free,       0k shrd,   
3600k buff
        92096k active,              26540k inactive
Swap:  783768k av,  137244k used,  646524k free                  
40056k cached

I regain like 600 MB of free memory :O
Comment 1 Alejandro Gonzalez Hernandez - Imoq 2003-12-09 11:02:03 EST
I just found out that gaim developers are aware of this memory
leaking. There is a small patch to solve it at:

http://web.ics.purdue.edu/~eblanton/gaim/gaim-0.75cvs-gaim_log_free.diff

Hopefully, next version of gaim won't suffer from this leak.

Do you think this patch can be applied to 0.74 or do you think we
should wait until 0.75?

(btw, I am concerned since 0.74 is no longer in "test" but in
"updates" section).
Comment 2 Alejandro Gonzalez Hernandez - Imoq 2003-12-09 11:20:14 EST
Talking with gaim developers, they have informed me that this bug ONLY
affects gaim if you use "by log" sorting method.  You can either apply
the above patch or use any other sorting method for your contact list.

I'll change the contact list sort method and wait for the new version.
Comment 3 Warren Togami 2003-12-17 04:51:17 EST
blizzard mentioned that he applied this to RH's internal CVS tree.  We
should probaly publish this as a FC1 update because it is quite severe...
Comment 4 Need Real Name 2003-12-17 12:34:46 EST
Gaim also has a bunch of other bugs in this version, including:

o loss of logging settings when upgrading
o no 'system' log available at all

I'd like to request that the 0.74 'update' package be pulled, and
instead just use 0.71 (or a 0.72 update if those logging bugs are not
present) if possible until a fixed version is released.  0.74 is going
to cause lots of problems IMHO.

Meanwhile I'm rolling back my package. :\
Comment 5 Warren Togami 2003-12-17 17:45:40 EST
Those are not bugs per se.  The gaim developers decided not to delay
the release of gaim-0.74 before reimplementing those features because
it would take far too long, and this gaim (except for the memory leak)
works a lot better in a lot of other cases that caused crashes or
broken ness.
Comment 6 Christopher Blizzard 2004-01-20 14:40:28 EST
There's a newer version in the testing tree that should fix this.

Note You need to log in before you can comment on or make changes to this bug.